# Rot13

A simple implementation of the [ROT13](https://en.wikipedia.org/wiki/ROT13) cipher.

It obfuscates strings by rotating each character 13 positions. Special characters and whitespaces are excluded from rotation.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'rot13'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install rot13

## Usage

In code:

```ruby
require "rot13/cipher"

obfuscated = Rot13::Cipher.rot13 "a message"
# "n zrffntr"
```

or:

```ruby
require "rot13/extensions"

obfuscated = "a message".rot13
# "n zrffntr"
```

In terminal:

    $ rot13 encode "a message"
    $ rot13 decode "n zrffntr"

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release` to create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

1. Fork it ( https://bitbucket.org/janlindblom/rot13-ruby/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
